mav_quaternionInterpolate(3)

NAME
mav_quaternionInterpolate - Interpolates a quaternion.

LEVEL
Maverik Level 1

SYNTAX
MAV_quaternion mav_quaternionInterpolate(MAV_quaternion st, MAV_quaternion fi, float val);

ARGUMENTS
Start quaternion. Finish quaternion. Interpolation constant in the range (0.0--1.0).

DESCRIPTION
This function performs spherical linear interpolation between quaternions st and fi, returning the result.